Subject: Re: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

From: "Aijun Wang" <[email-masked]>
Date: Wed, 16 Dec 2020 11:44:31 +0800

Hi, Acee and Linda:

The mentioned information in this draft are more related to the links that connect the server to the edge router, than to the prefix of the app server.

For example, the “Capacity Index”, “Preference Index” are all related to the site, not the prefix. 

And, for “Load Measurement”, it is not enough to detect only the load to the server, but omits the load status of the link that connected the servers.

We should also considering the future possible extension, such as the bandwidth reservation on these links to the App server etc.

In conclusion, associate these attributes to the link is more reasonable than to the prefix.

Such links are another typical use case of passive/stub link within the network.

Best Regards

Aijun Wang

China Telecom

From: [email-masked] <[email-masked]> On Behalf Of Acee Lindem (acee)
Sent: Thursday, November 5, 2020 8:42 AM
To: Jeff Tantsura <[email-masked]>; Yingzhen Qu <[email-masked]>; [email-masked]; [email-masked]; Linda Dunbar <[email-masked]>
Subject: Re: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Exactly. 

Thanks,
Acee

From: Jeff Tantsura <[email-masked] <mailto:[email-masked]> >
Date: Wednesday, November 4, 2020 at 6:16 PM
To: Acee Lindem <[email-masked] <mailto:[email-masked]> >, Yingzhen Qu <[email-masked] <mailto:[email-masked]> >, "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >, "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >, Linda Dunbar <[email-masked] <mailto:[email-masked]> >
Subject: Re: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

For OSPFv3 use E-LSAs (RFC8362)

Cheers, 

Jeff

On Nov 4, 2020, 2:44 PM -0800, Linda Dunbar <[email-masked] <mailto:[email-masked]> >, wrote:

Acee,

Thank you very much for suggesting using the Prefix TLV for carry the Running Status and environment of 5G Edge Computing servers.

In a nutshell, the  <https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/> https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/ proposes the extension to LSA that can carry the three SubTLVs that are used to represent the Running Status and Environment information of the 5G Edge Computing Servers attached to the router:

 • Load measurement sub-TLV 

 • Capacity Index  Sub-TLV                            

 • Preference Index  Sub-TLV                                                   

Several sections of the draft are devoted to describe what those measurement are and why need them for 5G Edge Computing, which may have made it not so straightforward when reading in a rush.

The Goal of the OSPF extension is to carry those Sub-TLVs in the router’s LSA to be advertised to other routers in the 5G Local Data Network.

If using your suggested RFC7684 OSPFv2 Extended Prefix TLV, the extension does seem easier and cleaner:

We can have:

 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1

+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

| Type                          | Length                        |

+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

| Route Type    | Prefix Length | AF            | Flags         |

+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

| Address Prefix (variable)                                     |

+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+  

| Load Measurement Sub-TLV                                      |

~                                                               ~

+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+  

| capacity Index Sub-TLV                                        |

~                                                               ~

+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+  

| Site Preference Sub-TLV                                       |

~                                                               ~  

+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+  

RFC7684 only has the Extended Prefix TLV for IPv4. If the App Server addresses are in IPv6, should we specify the extension to RFC8362 in the same draft? Or define a new AF type for the same extension to RFC7684?

Your guidance is greatly appreciated.

Thank you very much.

Linda Dunbar

From: Acee Lindem (acee) <[email-masked] <mailto:[email-masked]> >

Sent: Tuesday, November 3, 2020 1:38 PM

To: Linda Dunbar <[email-masked] <mailto:[email-masked]> >; Yingzhen Qu <[email-masked] <mailto:[email-masked]> >; [email-masked] <mailto:[email-masked]> ; [email-masked] <mailto:[email-masked]> 

Subject: Re: Need 10 minute slot to discuss OSPF extension for 5G Edge Computing (was RE: [Lsr] IETF 109 LSR Presentation Slot Requests

We have a pretty full schedule and we add you as optional. I took a look at the draft and it is all over the place right now with standardization requested for one solution but 3 separate solutions partially specified. It could benefit from some WG mailing list discussion prior to a 10 minute presentation where we wouldn’t have time to discuss the many issues.

One major issue is that you should be extending RFC 7684 rather than RFC 3630 and it seems you these app-server selection metrics should be associated with a prefix and NOT a stub link (i.e., the application server address).

I’ll try to read it in more depth before IETF 109.

Thanks,

Acee

From: Linda Dunbar < <mailto:[email-masked]> [email-masked]>

Date: Monday, November 2, 2020 at 10:12 PM

To: Yingzhen Qu < <mailto:[email-masked]> [email-masked]>, " <mailto:[email-masked]> [email-masked]" < <mailto:[email-masked]> [email-masked]>, " <mailto:[email-masked]> [email-masked]" < <mailto:[email-masked]> [email-masked]>

Subject: Need 10 minute slot to discuss OSPF extension for 5G Edge Computing (was RE: [Lsr] IETF 109 LSR Presentation Slot Requests

Resent-From: < <mailto:[email-masked]> [email-masked]>

Resent-To: Yingzhen Qu < <mailto:[email-masked]> [email-masked]>, Acee Lindem < <mailto:[email-masked]> [email-masked]>, Christian Hopps < <mailto:[email-masked]> [email-masked]>

Resent-Date: Monday, November 2, 2020 at 10:12 PM

LSR Chairs, YingZhen,

Can you give us 10 minute slot to present this new draft:

https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/ <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dunbar-lsr-5g-edge-compute-ospf-ext%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7C83f990f38fe14407efe208d880300245%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637400290992237706%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=CooHUjUYe%2BePz9rwBZe0orzPqku%2BoSL%2FrMVVa%2Fl2uIc%3D&reserved=0> 

This draft describes an OSPF extension that can distribute the 5G Edge Computing App running status and environment, so that other routers in the 5G Local Data Network can make intelligent decision on optimizing forwarding of flows from UEs. The goal is to improve latency and performance for 5G Edge Computing services.

Thank you very much,

Linda Dunbar

From: Lsr <[email-masked] <mailto:[email-masked]> > On Behalf Of Yingzhen Qu

Sent: Monday, October 19, 2020 3:52 PM

To: [email-masked] <mailto:[email-masked]> ; [email-masked] <mailto:[email-masked]> 

Subject: [Lsr] IETF 109 LSR Presentation Slot Requests

Hi all, 

We're now accepting agenda requests for the LSR Working Grouping meeting IETF 109. Please send your requests to  <mailto:[email-masked]> [email-masked] indicating draft name, speaker, and desired duration (covering presentation and discussion). 

LSR session is scheduled on Monday, Nov 16, 12:00-14:00 ICT.

Thanks,

Yingzhen

_______________________________________________

Lsr mailing list

[email-masked] <mailto:[email-masked]> 

https://www.ietf.org/mailman/listinfo/lsr

---

From: Linda Dunbar <[email-masked]>
Date: Thu, 17 Dec 2020 03:08:42 +0000

Aijun,

Thank you for the analysis and suggestions.

The draft specified 3 Sub-TLVs to carry the IP Layer Metrics to Gauge App Server Running Status: Load Measurement; Capacity Index; and Preference Index. More may be added in the future, especially when there are more information about UEs and their flows that can be passed from 5G Network Exposure Functions.

Let's consider two different scenarios:

Scenario 1:

All the Egress routers to which the App Servers are attached can be configured with a consistent algorithm to compute an aggregated cost that take into consideration of Load Measurement, Capacity value and Preference value. Then this aggregated cost can be encoded in the Metric field [the interface cost] of Intra-Area-Prefix-LSA for  IPv6 [ RFC5340], or  encoded in the "Metric" field of the Stub Link LSA [Link type =3] [RFC2328] for IPv4.

In this scenario, there is no protocol extension needed, but requires all egress routers to agree upon a consistent algorithm to compute the cost to the App server (Prefix)

Scenario 2:

Either it is not possible for all the egress routers to have a consistent algorithm to compute the aggregated cost, or the ingress routers need all the detailed IP Layer metrics for the App Servers for other purposes. Then, the IP Layer Metrics to Gauge App Server running status need to be encoded in LSAs to other nodes. Under this scenario, it makes sense to use the OSPFv2 Extended Prefix Opaque LSA for IPv4 and OSPFv3 Extended LSA with Intra-Area-Prefix TLV to carry the detailed sub-TLVs proposed in the draft, so that nodes that don't care about those metrics can ignore them very easily.

For OSPFv2 Extended Prefix Opaque LSA or OSPFv3 Extended LSA, the receiving nodes, who care about the information, have to adjust path compute engine anyway to derive the lowest cost path that takes the IP Layer Metrics into consideration.

Do you agree with this approach?

We will revise the draft to reflect those two different scenarios.

Linda

From: Aijun Wang <[email-masked]>
Sent: Tuesday, December 15, 2020 9:45 PM
To: 'Acee Lindem (acee)' <acee=[email-masked]>; 'Jeff Tantsura' <[email-masked]>; 'Yingzhen Qu' <[email-masked]>; [email-masked]; [email-masked]; Linda Dunbar <[email-masked]>
Subject: RE: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Hi, Acee and Linda:

The mentioned information in this draft are more related to the links that connect the server to the edge router, than to the prefix of the app server.
For example, the "Capacity Index", "Preference Index" are all related to the site, not the prefix.
And, for "Load Measurement", it is not enough to detect only the load to the server, but omits the load status of the link that connected the servers.
We should also considering the future possible extension, such as the bandwidth reservation on these links to the App server etc.

Best Regards

Aijun Wang
China Telecom

From: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>> On Behalf Of Acee Lindem (acee)
Sent: Thursday, November 5, 2020 8:42 AM
To: Jeff Tantsura <[email-masked]<mailto:[email-masked]>>; Yingzhen Qu <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Linda Dunbar <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Exactly.
Thanks,
Acee

From: Jeff Tantsura <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, November 4, 2020 at 6:16 PM
To: Acee Lindem <[email-masked]<mailto:[email-masked]>>, Yingzhen Qu <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Linda Dunbar <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Cheers,
Jeff
On Nov 4, 2020, 2:44 PM -0800, Linda Dunbar <[email-masked]<mailto:[email-masked]>>, wrote:
Acee,

In a nutshell, the https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dunbar-lsr-5g-edge-compute-ospf-ext%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7Cf2827d041dc345cee04d08d8a174e7fe%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637436870794130603%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=tq07XxEtbbSF2xGocrLD6vmfvAxmWP2CCfjnnedRZxc%3D&reserved=0> proposes the extension to LSA that can carry the three SubTLVs that are used to represent the Running Status and Environment information of the 5G Edge Computing Servers attached to the router:

 * Load measurement sub-TLV
 * Capacity Index  Sub-TLV
 * Preference Index  Sub-TLV

The Goal of the OSPF extension is to carry those Sub-TLVs in the router's LSA to be advertised to other routers in the 5G Local Data Network.

We can have:

Thank you very much.

Linda Dunbar

From: Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, November 3, 2020 1:38 PM
To: Linda Dunbar <[email-masked]<mailto:[email-masked]>>; Yingzhen Qu <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: Need 10 minute slot to discuss OSPF extension for 5G Edge Computing (was RE: [Lsr] IETF 109 LSR Presentation Slot Requests

We have a pretty full schedule and we add you as optional. I took a look at the draft and it is all over the place right now with standardization requested for one solution but 3 separate solutions partially specified. It could benefit from some WG mailing list discussion prior to a 10 minute presentation where we wouldn't have time to discuss the many issues.

I'll try to read it in more depth before IETF 109.

Thanks,
Acee

From: Linda Dunbar <[email-masked]<mailto:[email-masked]>>
Date: Monday, November 2, 2020 at 10:12 PM
To: Yingzhen Qu <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Need 10 minute slot to discuss OSPF extension for 5G Edge Computing (was RE: [Lsr] IETF 109 LSR Presentation Slot Requests
Resent-From: <[email-masked]<mailto:[email-masked]>>
Resent-To: Yingzhen Qu <[email-masked]<mailto:[email-masked]>>, Acee Lindem <[email-masked]<mailto:[email-masked]>>, Christian Hopps <[email-masked]<mailto:[email-masked]>>
Resent-Date: Monday, November 2, 2020 at 10:12 PM

LSR Chairs, YingZhen,

Can you give us 10 minute slot to present this new draft:
https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dunbar-lsr-5g-edge-compute-ospf-ext%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7Cf2827d041dc345cee04d08d8a174e7fe%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637436870794140598%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=ogwLG3uTXdDSm7maL6ACIzMQ2iCo6az97SLZmgyRh%2BY%3D&reserved=0>

Thank you very much,

Linda Dunbar

From: Lsr <[email-masked]<mailto:[email-masked]>> On Behalf Of Yingzhen Qu
Sent: Monday, October 19, 2020 3:52 PM
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: [Lsr] IETF 109 LSR Presentation Slot Requests

Hi all,

We're now accepting agenda requests for the LSR Working Grouping meeting IETF 109. Please send your requests to [email-masked]<mailto:[email-masked]> indicating draft name, speaker, and desired duration (covering presentation and discussion).

Thanks,
Yingzhen
_______________________________________________
Lsr mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/lsr<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Flsr&data=04%7C01%7Clinda.dunbar%40futurewei.com%7Cf2827d041dc345cee04d08d8a174e7fe%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637436870794140598%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=PlpVJHzFoK29vV5BLGhiSafeodAX0ttFgBZAOeHyvA4%3D&reserved=0>

---

From: "Aijun Wang" <[email-masked]>
Date: Thu, 17 Dec 2020 14:38:05 +0800

Hi, Linda:

Scenario 1 is straightforward and is the local decision of the router. Do we
need the draft then?

For scenario 2, I am considering where is the right place to place such
information. The consideration in my previous mail is not addressed.

It seems RFC8362 does not illustrate which "OSPFv3 Extended-LSA Sub-TLVs"
(https://www.iana.org/assignments/ospfv3-parameters/ospfv3-parameters.xhtml#
extended-lsa-sub-tlvs) should be put into which "OSPFv3 Extended-LSA TLVs"? 

Best Regards

Aijun Wang

China Telecom

From: [email-masked] <[email-masked]> On Behalf Of Linda Dunbar
Sent: Thursday, December 17, 2020 11:09 AM
To: Aijun Wang <[email-masked]>; 'Acee Lindem (acee)'
<acee=[email-masked]>; 'Jeff Tantsura'
<[email-masked]>; 'Yingzhen Qu' <[email-masked]>;
[email-masked]; [email-masked]
Subject: Re: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF
extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot
Requests

Aijun, 

The draft specified 3 Sub-TLVs to carry the IP Layer Metrics to Gauge App
Server Running Status: Load Measurement; Capacity Index; and Preference
Index. More may be added in the future, especially when there are more
information about UEs and their flows that can be passed from 5G Network
Exposure Functions. 

Scenario 1: 

All the Egress routers to which the App Servers are attached can be
configured with a consistent algorithm to compute an aggregated cost that
take into consideration of Load Measurement, Capacity value and Preference
value. Then this aggregated cost can be encoded in the Metric field [the
interface cost] of Intra-Area-Prefix-LSA for  IPv6 [ RFC5340], or  encoded
in the "Metric" field of the Stub Link LSA [Link type =3] [RFC2328] for
IPv4. 

In this scenario, there is no protocol extension needed, but requires all
egress routers to agree upon a consistent algorithm to compute the cost to
the App server (Prefix)

Scenario 2: 

Either it is not possible for all the egress routers to have a consistent
algorithm to compute the aggregated cost, or the ingress routers need all
the detailed IP Layer metrics for the App Servers for other purposes. Then,
the IP Layer Metrics to Gauge App Server running status need to be encoded
in LSAs to other nodes. Under this scenario, it makes sense to use the
OSPFv2 Extended Prefix Opaque LSA for IPv4 and OSPFv3 Extended LSA with
Intra-Area-Prefix TLV to carry the detailed sub-TLVs proposed in the draft,
so that nodes that don't care about those metrics can ignore them very
easily. 

For OSPFv2 Extended Prefix Opaque LSA or OSPFv3 Extended LSA, the receiving
nodes, who care about the information, have to adjust path compute engine
anyway to derive the lowest cost path that takes the IP Layer Metrics into
consideration. 

 

Linda 

From: Aijun Wang <[email-masked]
<mailto:[email-masked]> > 
Sent: Tuesday, December 15, 2020 9:45 PM
To: 'Acee Lindem (acee)' <acee=[email-masked]
<mailto:acee=[email-masked]> >; 'Jeff Tantsura'
<[email-masked] <mailto:[email-masked]> >; 'Yingzhen Qu'
<[email-masked] <mailto:[email-masked]> >; [email-masked]
<mailto:[email-masked]> ; [email-masked] <mailto:[email-masked]> ;
Linda Dunbar <[email-masked] <mailto:[email-masked]>
Subject: RE: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF
extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot
Requests

Hi, Acee and Linda:

The mentioned information in this draft are more related to the links that
connect the server to the edge router, than to the prefix of the app server.

For example, the "Capacity Index", "Preference Index" are all related to the
site, not the prefix. 

And, for "Load Measurement", it is not enough to detect only the load to the
server, but omits the load status of the link that connected the servers.

We should also considering the future possible extension, such as the
bandwidth reservation on these links to the App server etc.

In conclusion, associate these attributes to the link is more reasonable
than to the prefix.

Such links are another typical use case of passive/stub link within the
network.

Best Regards

Aijun Wang

China Telecom

From: [email-masked] <mailto:[email-masked]>
<[email-masked] <mailto:[email-masked]> > On Behalf Of Acee
Lindem (acee)
Sent: Thursday, November 5, 2020 8:42 AM
To: Jeff Tantsura <[email-masked] <mailto:[email-masked]>
>; Yingzhen Qu <[email-masked] <mailto:[email-masked]> >;
[email-masked] <mailto:[email-masked]> ; [email-masked]
<mailto:[email-masked]> ; Linda Dunbar <[email-masked]
<mailto:[email-masked]> >
Subject: Re: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF
extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot
Requests

Exactly. 

Thanks,
Acee

From: Jeff Tantsura <[email-masked]
<mailto:[email-masked]> >
Date: Wednesday, November 4, 2020 at 6:16 PM
To: Acee Lindem <[email-masked] <mailto:[email-masked]> >, Yingzhen Qu
<[email-masked] <mailto:[email-masked]> >, "[email-masked]
<mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >,
"[email-masked] <mailto:[email-masked]> " <[email-masked]
<mailto:[email-masked]> >, Linda Dunbar <[email-masked]
<mailto:[email-masked]> >
Subject: Re: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF
extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot
Requests

Cheers, 

Jeff

On Nov 4, 2020, 2:44 PM -0800, Linda Dunbar <[email-masked]
<mailto:[email-masked]> >, wrote:

Acee,

Thank you very much for suggesting using the Prefix TLV for carry the
Running Status and environment of 5G Edge Computing servers.

In a nutshell, the
<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatrack
er.ietf.org%2Fdoc%2Fdraft-dunbar-lsr-5g-edge-compute-ospf-ext%2F&data=04%7C0
1%7Clinda.dunbar%40futurewei.com%7Cf2827d041dc345cee04d08d8a174e7fe%7C0fee8f
f2a3b240189c753a1d5591fedc%7C1%7C0%7C637436870794130603%7CUnknown%7CTWFpbGZs
b3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C300
0&sdata=tq07XxEtbbSF2xGocrLD6vmfvAxmWP2CCfjnnedRZxc%3D&reserved=0>
https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/
proposes the extension to LSA that can carry the three SubTLVs that are used
to represent the Running Status and Environment information of the 5G Edge
Computing Servers attached to the router:

 . Load measurement sub-TLV 

 . Capacity Index  Sub-TLV                            

 . Preference Index  Sub-TLV

Several sections of the draft are devoted to describe what those measurement
are and why need them for 5G Edge Computing, which may have made it not so
straightforward when reading in a rush.

The Goal of the OSPF extension is to carry those Sub-TLVs in the router's
LSA to be advertised to other routers in the 5G Local Data Network.

If using your suggested RFC7684 OSPFv2 Extended Prefix TLV, the extension
does seem easier and cleaner:

We can have:

| Type                          | Length                        |

~                                                               ~

~                                                               ~

~                                                               ~  

 

RFC7684 only has the Extended Prefix TLV for IPv4. If the App Server
addresses are in IPv6, should we specify the extension to RFC8362 in the
same draft? Or define a new AF type for the same extension to RFC7684?

Thank you very much.

Linda Dunbar

To: Linda Dunbar <[email-masked]
<mailto:[email-masked]> >; Yingzhen Qu <[email-masked]
<mailto:[email-masked]> >; [email-masked] <mailto:[email-masked]> ;
[email-masked] <mailto:[email-masked]> 

Subject: Re: Need 10 minute slot to discuss OSPF extension for 5G Edge
Computing (was RE: [Lsr] IETF 109 LSR Presentation Slot Requests

We have a pretty full schedule and we add you as optional. I took a look at
the draft and it is all over the place right now with standardization
requested for one solution but 3 separate solutions partially specified. It
could benefit from some WG mailing list discussion prior to a 10 minute
presentation where we wouldn't have time to discuss the many issues.

One major issue is that you should be extending RFC 7684 rather than RFC
3630 and it seems you these app-server selection metrics should be
associated with a prefix and NOT a stub link (i.e., the application server
address).

Thanks,

Acee

From: Linda Dunbar < <mailto:[email-masked]>
[email-masked]>

To: Yingzhen Qu < <mailto:[email-masked]> [email-masked]>,
" <mailto:[email-masked]> [email-masked]" < <mailto:[email-masked]> [email-masked]>,
" <mailto:[email-masked]> [email-masked]" <
<mailto:[email-masked]> [email-masked]>

Subject: Need 10 minute slot to discuss OSPF extension for 5G Edge Computing
(was RE: [Lsr] IETF 109 LSR Presentation Slot Requests

Resent-To: Yingzhen Qu < <mailto:[email-masked]>
[email-masked]>, Acee Lindem < <mailto:[email-masked]>
[email-masked]>, Christian Hopps < <mailto:[email-masked]>
[email-masked]>

LSR Chairs, YingZhen,

https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/
<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatrack
er.ietf.org%2Fdoc%2Fdraft-dunbar-lsr-5g-edge-compute-ospf-ext%2F&data=04%7C0
1%7Clinda.dunbar%40futurewei.com%7Cf2827d041dc345cee04d08d8a174e7fe%7C0fee8f
f2a3b240189c753a1d5591fedc%7C1%7C0%7C637436870794140598%7CUnknown%7CTWFpbGZs
b3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C300
0&sdata=ogwLG3uTXdDSm7maL6ACIzMQ2iCo6az97SLZmgyRh%2BY%3D&reserved=0> 

This draft describes an OSPF extension that can distribute the 5G Edge
Computing App running status and environment, so that other routers in the
5G Local Data Network can make intelligent decision on optimizing forwarding
of flows from UEs. The goal is to improve latency and performance for 5G
Edge Computing services.

Thank you very much,

Linda Dunbar

From: Lsr <[email-masked] <mailto:[email-masked]> > On Behalf Of
Yingzhen Qu

To: [email-masked] <mailto:[email-masked]> ; [email-masked]
<mailto:[email-masked]> 

Hi all, 

We're now accepting agenda requests for the LSR Working Grouping meeting
IETF 109. Please send your requests to  <mailto:[email-masked]>
[email-masked] indicating draft name, speaker, and desired duration
(covering presentation and discussion). 

Thanks,

Yingzhen

Lsr mailing list

https://www.ietf.org/mailman/listinfo/lsr
<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.
org%2Fmailman%2Flistinfo%2Flsr&data=04%7C01%7Clinda.dunbar%40futurewei.com%7
Cf2827d041dc345cee04d08d8a174e7fe%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0
%7C637436870794140598%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2
luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=PlpVJHzFoK29vV5BLGhiSafeod
AX0ttFgBZAOeHyvA4%3D&reserved=0>

---

From: Linda Dunbar <[email-masked]>
Date: Fri, 18 Dec 2020 22:20:39 +0000

Anjun,

Replies to your concerns and questions are inserted below:

From: Aijun Wang <[email-masked]>
Sent: Thursday, December 17, 2020 12:38 AM
To: Linda Dunbar <[email-masked]>; 'Acee Lindem (acee)' <acee=[email-masked]>; 'Jeff Tantsura' <[email-masked]>; 'Yingzhen Qu' <[email-masked]>; [email-masked]; [email-masked]
Subject: RE: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Hi, Linda:

Scenario 1 is straightforward and is the local decision of the router. Do we need the draft then?
[Linda] Yes, Scenario 1 is straight forward. There is a short description just to make people aware this option.

For scenario 2, I am considering where is the right place to place such information. The consideration in my previous mail is not addressed.
[Linda] Yes, it is possible that multiple App Servers share the same Capacity Index. But the  site preference might be different and the Load Measurement might be different. Even if you use Stub link to advertise those attributes, you might need one LSA per prefix.

It seems RFC8362 does not illustrate which "OSPFv3 Extended-LSA Sub-TLVs" (https://www.iana.org/assignments/ospfv3-parameters/ospfv3-parameters.xhtml#extended-lsa-sub-tlvs<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.iana.org%2Fassignments%2Fospfv3-parameters%2Fospfv3-parameters.xhtml%23extended-lsa-sub-tlvs&data=04%7C01%7Clinda.dunbar%40futurewei.com%7C96a95de957c9402de90108d8a256544b%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637437839094856866%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=9ZuDNNa4WD6W1WNG%2B%2Fr8axCpO9XTRIpm5lEWuA%2BFpQM%3D&reserved=0>) should be put into which "OSPFv3 Extended-LSA TLVs"?

[Linda] The proposed Sub-TLV types need to be added by IANA to OSPFv4 Extended-LSA Sub-TLVs and OSPFv2 Extended Link Opaque LSA TLVs Registry.

Linda

Best Regards

Aijun Wang
China Telecom

From: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>> On Behalf Of Linda Dunbar
Sent: Thursday, December 17, 2020 11:09 AM
To: Aijun Wang <[email-masked]<mailto:[email-masked]>>; 'Acee Lindem (acee)' <acee=[email-masked]<mailto:acee=[email-masked]>>; 'Jeff Tantsura' <[email-masked]<mailto:[email-masked]>>; 'Yingzhen Qu' <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Aijun,

Scenario 1:

Scenario 2:

Linda

From: Aijun Wang <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, December 15, 2020 9:45 PM
To: 'Acee Lindem (acee)' <acee=[email-masked]<mailto:acee=[email-masked]>>; 'Jeff Tantsura' <[email-masked]<mailto:[email-masked]>>; 'Yingzhen Qu' <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Linda Dunbar <[email-masked]<mailto:[email-masked]>>
Subject: RE: [Lsr] Question on using OSFPv2 extended Prefix TLV as the OSPF extension for 5G Edge Computing (was RE: IETF 109 LSR Presentation Slot Requests

Hi, Acee and Linda:

Best Regards

Aijun Wang
China Telecom

Exactly.
Thanks,
Acee

Cheers,
Jeff

In a nutshell, the https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dunbar-lsr-5g-edge-compute-ospf-ext%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7C96a95de957c9402de90108d8a256544b%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637437839094856866%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=HzaD%2FhEkSWdhdV8FWhXZJjyBAbiHyNNvPO82FOL%2FxGI%3D&reserved=0> proposes the extension to LSA that can carry the three SubTLVs that are used to represent the Running Status and Environment information of the 5G Edge Computing Servers attached to the router:

We can have:

Thank you very much.

Linda Dunbar

Thanks,
Acee

LSR Chairs, YingZhen,

Can you give us 10 minute slot to present this new draft:
https://datatracker.ietf.org/doc/draft-dunbar-lsr-5g-edge-compute-ospf-ext/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dunbar-lsr-5g-edge-compute-ospf-ext%2F&data=04%7C01%7Clinda.dunbar%40futurewei.com%7C96a95de957c9402de90108d8a256544b%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637437839094866861%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=UmgGQRKBWkLh%2FW9Eyo16UnHlfcHfFoGRG1obM9soaGg%3D&reserved=0>

Thank you very much,

Linda Dunbar

Hi all,

Thanks,
Yingzhen
_______________________________________________
Lsr mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/lsr<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Flsr&data=04%7C01%7Clinda.dunbar%40futurewei.com%7C96a95de957c9402de90108d8a256544b%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637437839094866861%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&sdata=S222wHQ8aJM63AxOsdTB07pCr7CkOd5qn6A6V%2FY9Oyc%3D&reserved=0>